## org.eclipse.emf.mint.util
Class GroupAdapterImpl.NotifierEList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.AbstractEList<E>
                  org.eclipse.emf.common.util.BasicEList<E>
                      org.eclipse.emf.common.util.BasicEList.FastCompare<Notifier>
                          org.eclipse.emf.mint.util.GroupAdapterImpl.NotifierEList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<Notifier>, Collection<Notifier>, List<Notifier>, RandomAccess, EList<Notifier>

Enclosing class:
  GroupAdapterImpl

Deprecated. no longer used

    protected static class GroupAdapterImpl.NotifierEList

extends BasicEList.FastCompare<Notifier>

Simple list for tracking notifiers.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.FastCompare<E>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>, BasicEList.UnmodifiableEList<E>`

Field Summary

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`protected` `GroupAdapterImpl.NotifierEList()` Deprecated.

Method Summary
`protected boolean` `canContainNull()` Deprecated.

Methods inherited from class org.eclipse.emf.common.util.BasicEList.FastCompare
`useEquals`

Methods inherited from class org.eclipse.emf.common.util.BasicEList
`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, assign, basicGet, basicList, clear, clone, contains, data, get, grow, indexOf, isEmpty, lastIndexOf, move, newData, primitiveGet, remove, setData, setUnique, shrink, size, toArray, toArray`

Methods inherited from class org.eclipse.emf.common.util.AbstractEList
`add, add, addAll, addAll, basicIterator, basicListIterator, basicListIterator, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, getDuplicates, getNonDuplicates, hashCode, isUnique, iterator, listIterator, listIterator, move, remove, removeAll, resolve, retainAll, set, toString, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, subList`

Constructor Detail

### GroupAdapterImpl.NotifierEList

    protected GroupAdapterImpl.NotifierEList()

  Deprecated.

Method Detail

### canContainNull

    protected boolean canContainNull()

  Deprecated.
  Overrides:
    `canContainNull` in class `AbstractEList<Notifier>`

Copyright 2008, 2009 Ecliptical Software Inc. and others. All Rights Reserved.